> For the complete documentation index, see [llms.txt](https://docs.specifyapp.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.specifyapp.com/v1/apps-and-tools.md).

# Apps & Tools

- [Overview](https://docs.specifyapp.com/v1/apps-and-tools/overview.md): List of all apps you can use with Specify to sync, read and transform your design tokens and assets.
- [GitHub](https://docs.specifyapp.com/v1/apps-and-tools/github.md): Learn how to distribute your design tokens and assets from Specify to your GitHub repositories via automated Pull Request.
- [npm](https://docs.specifyapp.com/v1/apps-and-tools/npm.md): Learn how to distribute your design tokens and assets from Specify as npm or GitHub packages.
- [REST API](https://docs.specifyapp.com/v1/apps-and-tools/rest-api.md): The Specify API lets you extend Specify functionalities beyond what we provide out of the box.
- [CLI](https://docs.specifyapp.com/v1/apps-and-tools/cli.md): The Specify CLI helps you pull design tokens and assets from Specify right from your terminal.
- [Notion](https://docs.specifyapp.com/v1/apps-and-tools/notion.md): Learn how to automatically document your design tokens and assets from Specify to your Notion workspace.
- [Raycast](https://docs.specifyapp.com/v1/apps-and-tools/raycast.md): Learn to get and use your design tokens and assets right from Raycast.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.specifyapp.com/v1/apps-and-tools.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
